/**
 * lodash的get方法
 * @param source obj
 * @param path path
 * @param defaultValue 默认值
 * @returns 值
 */
export declare const get: (source: any, path: string, defaultValue: any) => any;
/**
 * The inverse of `toPairs`is method returns an object composed
 * from key-value `pairs`.
 *
 * @since 4.0.0
 * @category Array
 * @param {Array} pairs The key-value pairs.
 * @returns {Object} Returns the new object.
 * @example
 *
 * fromPairs([['a', 1], ['b', 2]])
 * // => { 'a': 1, 'b': 2 }
 */
export declare const fromPairs: (pairs: [string, any][]) => Record<string, any>;
export declare const isClient: boolean;
/**
 * @vue/shared 的 camelize 方法
 * Camelize a hyphen-delimited string.
 */
export declare const camelize: (str: string) => string;
export declare const isFirefox: () => boolean;
export declare const isBoolean: (val: any) => boolean;
export declare const isNumber: (val: any) => boolean;
export declare const isUndefined: (val: any) => boolean;
export declare const hasOwn: (val: object, key: string | symbol) => key is never;
export declare const isArray: (arg: any) => arg is any[];
export declare const isMap: (val: unknown) => val is Map<any, any>;
export declare const isSet: (val: unknown) => val is Set<any>;
export declare const isDate: (val: unknown) => val is Date;
export declare const isRegExp: (val: unknown) => val is RegExp;
export declare const isFunction: (val: unknown) => val is Function;
export declare const isString: (val: any) => boolean;
export declare const isSymbol: (val: any) => boolean;
export declare const isObject: (val: unknown) => val is Record<any, any>;
export declare const isPromise: <T = any>(val: unknown) => val is Promise<T>;
/**
 * 合并对象
 * @param a 对象a
 * @param b 对象b
 * @returns 合并后的对象
 */
export declare const merge: <T extends Record<string, any>>(a: T, b: T) => T;
/**
 * Generate uuid
 * @returns uuid
 */
export declare const generateUUID: () => string;
